package cn.estsh.i3plus.pojo.screen.model;

import cn.estsh.i3plus.pojo.screen.bean.ScrComponent;
import cn.estsh.i3plus.pojo.screen.bean.ScrEventAction;
import cn.estsh.i3plus.pojo.screen.bean.relation.ScrComponentModelField;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Wynne.Lu
 * @date 2021/3/28 上午12:42
 * @desc
 */
@Data
public class ScrPanelComponentQueryModel implements Serializable {
    private static final long serialVersionUID = 4133777603151273736L;

    private String rowCode;

    private String columnCode;

    private ScrComponent component;

    private ScrEventAction eventAction;

    private List<ScrComponentModelField> modelFields;

}
